! @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ !
! @@                                                                @@ !
! @@       PROGRAM  ASCOT 2014.440 (ver.4.40)                       @@ !
! @@     "Abinitio Simulation Code for Quantum Transport"           @@ !
! @@                                                                @@ !
! @@                                                                @@ !
! @@  AUTHOR(S): Hisashi KONDO (Univ. Tokyo)                        @@ !
! @@                                                09/May/2014     @@ !
! @@                                                                @@ !
! @@  Contact address: Phase System Consortium                      @@ !
! @@                                                                @@ !
! @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ !

subroutine save_hamiltonian_sgf_l

  use condition_ini
  use condition
  use hamiltonian_e
  use hamiltonian_sgf

  implicit none

  if( ham_model_ini  /= 'input' .and. ham_model_ini /= 'scf_accel' ) then
     call set_mat_max(p_or_f,num_unit,num_atom_kind,atom_kindn,atom_orbital     &
          ,num_atom)
     mat_max_ll=mat_max
     cp_l=cp
  end if

  iw_max_ll=iw_max
  kx_max_ll=kx_max
  ky_max_ll=ky_max
  kz_max_ll=kz_max
  spin_switch_ll=spin_switch_temp
  iw_dos_ll=omega_par_num(num_gra_te)

  return
end subroutine save_hamiltonian_sgf_l

subroutine save_hamiltonian_sgf_r

  use condition_ini
  use condition
  use hamiltonian_e
  use hamiltonian_sgf

  implicit none

  if( ham_model_ini  /= 'input' .and. ham_model_ini /= 'scf_accel' ) then
     call set_mat_max(p_or_f,num_unit,num_atom_kind,atom_kindn,atom_orbital     &
          ,num_atom)
     mat_max_rr=mat_max
     cp_r=cp
  end if

  iw_max_rr=iw_max
  kx_max_rr=kx_max
  ky_max_rr=ky_max
  kz_max_rr=kz_max
  spin_switch_rr=spin_switch_temp
  iw_dos_rr=omega_par_num(num_gra_te)

  return
end subroutine save_hamiltonian_sgf_r
